Skip to main content
GET
cURL
This API is rate limited.

Authorizations

Authorization
string
header
required

The user access token for the user you would like to enroll. See our OAuth2 authentication documentation.

Path Parameters

enrollment_id
string
required

Response

Succcessful retrieval of promotion details

Succcessful retrieval of promotion details

promotion_id
string
required

The unique identifier for the promotion

enrollment_date
string<date-time> | null
required

Date and time of enrollment

expiration_date
string<date-time> | null
required

Date and time when the enrollment expires. null when the promotion has no enrollment expiration period.

task_limit_per_month
integer | null
required

Maximum number of tasks allowed per monthly billing cycle

tasks_used_this_month
integer
required

Number of tasks already used this monthly billing cycle (may not align with calendar month)

status
string
required

Current status of the enrollment. enrolled while the account is enrolled and within the task limit, expired once the enrollment expiration date has passed, and task_limit_exceeded when the account has used its promotional task limit for the billing cycle.

Last modified on September 28, 2026